﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WT_DragAndRemoveNode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            for (int i = 0; i < 10; i++)
            {
                ultraTree1.Nodes.Add("Node" + i.ToString(), "Node" + i.ToString());   
            }

            for (int i = 0; i < ultraTree1.Nodes.Count; i++)
            {
                ultraTree1.Nodes[i].Nodes.Add("ChildNode" + i.ToString(), "ChildNode" + i.ToString());   
            }

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            var node = ultraTree1.ActiveNode;
            if (node == null)
            {
               
                MessageBox.Show("There is no active node");
                return;
            }
            else
            {
                Debug.WriteLine("Node added");
                ultraTree1.Nodes.Remove(node);
            }
            ultraTree1.Nodes.Add(node);
        }
    }
}
